<?php

namespace Drupal\euleriananalytics\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class EulerianAnalyticsAdminSettingsForm extends ConfigFormBase {
    protected function getEditableConfigNames() {
        return ['euleriananalytics.settings'];
    }

    public function getFormId() {
        return 'euleriananalytics_settings_form';
    }

    public function buildForm(array $form, FormStateInterface $form_state) {
        $config = $this->config('euleriananalytics.settings');

        $form['tracking_domain'] = [
            '#type' => 'textfield',
            '#title' => $this->t('Tracking Domain'),
            '#default_value' => $config->get('tracking_domain'),
	    '#description' => $this->t('Enter the tracking domain for your Eulerian Analytics account.'),
        ];

        return parent::buildForm($form, $form_state);
    }

    public function submitForm(array &$form, FormStateInterface $form_state) {
        $this->config('euleriananalytics.settings')
            ->set('tracking_domain', $form_state->getValue('tracking_domain'))
            ->save();
        parent::submitForm($form, $form_state);
    }
}


